* [gentoo-commits] proj/sci:master commit in: sci-physics/thepeg/files/, sci-physics/thepeg/
@ 2012-09-10 8:16 Kacper Kowalik
0 siblings, 0 replies; 4+ messages in thread
From: Kacper Kowalik @ 2012-09-10 8:16 UTC (permalink / raw
To: gentoo-commits
commit: 749d3b55f20f042691f587ba362bd989ffb1d8e3
Author: Jauhien Piatlicki (jauhien) <piatlicki <AT> gmail <DOT> com>
AuthorDate: Fri Sep 7 18:56:17 2012 +0000
Commit: Kacper Kowalik <xarthisius <AT> gentoo <DOT> org>
CommitDate: Fri Sep 7 18:56:17 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=749d3b55
New Ebuild for bug #424003 thanks to hasufell, mgorny and xarthisius.
---
sci-physics/thepeg/ChangeLog | 10 +++
sci-physics/thepeg/files/thepeg-1.8.0-java.patch | 37 +++++++++
sci-physics/thepeg/metadata.xml | 20 +++++
sci-physics/thepeg/thepeg-1.8.0.ebuild | 93 ++++++++++++++++++++++
4 files changed, 160 insertions(+), 0 deletions(-)
diff --git a/sci-physics/thepeg/ChangeLog b/sci-physics/thepeg/ChangeLog
new file mode 100644
index 0000000..35a5eb3
--- /dev/null
+++ b/sci-physics/thepeg/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for sci-physics/thepeg
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*thepeg-1.8.0 (07 Sep 2012)
+
+ 07 Sep 2012; Jauhien Piatlicki (jauhien) <piatlicki@gmail.com>
+ +thepeg-1.8.0.ebuild, +files/thepeg-1.8.0-java.patch, +metadata.xml:
+ New Ebuild for bug #424003 thanks to hasufell, mgorny and xarthisius.
+
diff --git a/sci-physics/thepeg/files/thepeg-1.8.0-java.patch b/sci-physics/thepeg/files/thepeg-1.8.0-java.patch
new file mode 100644
index 0000000..45b0e95
--- /dev/null
+++ b/sci-physics/thepeg/files/thepeg-1.8.0-java.patch
@@ -0,0 +1,37 @@
+--- java/Makefile.am
++++ java/Makefile.am
+@@ -11,8 +12,7 @@
+
+ CLEANFILES = ThePEG.jar thepeg.sh
+
+-jardir = $(pkglibdir)
+-nodist_jar_DATA = ThePEG.jar
++noinst_DATA = ThePEG.jar
+
+ dist_noinst_DATA = $(JAVASOURCES) jar-manifest
+
+@@ -34,7 +34,7 @@
+ $(JAR) cmf ThePEG/jar-manifest ThePEG.jar ThePEG/*.class
+
+ thepeg.sh: thepeg.install Makefile
+- sed -e s:@pkglibdir[@]:$(pkglibdir):g \
++ sed -e s:@datadir[@]:$(datadir):g \
+ -e s:@bindir[@]:$(bindir):g \
+ -e s:@java[@]:$(JAVA):g $(srcdir)/thepeg.install > thepeg.sh
+ chmod +x thepeg.sh
+--- java/thepeg.install
++++ java/thepeg.install
+@@ -1,6 +1,6 @@
+ #!/bin/sh
+
+-pkglibdir=@pkglibdir@
++source @datadir@/thepeg/package.env
+ bindir=@bindir@
+
+ ThePEG_CMD="${bindir}/setupThePEG"
+@@ -19,4 +19,4 @@
+
+
+
+-exec @java@ ${HEADLESS} -jar ${pkglibdir}/ThePEG.jar ${ThePEG_CMD} "$@"
++exec @java@ ${HEADLESS} -jar ${CLASSPATH} ${ThePEG_CMD} "$@"
diff --git a/sci-physics/thepeg/metadata.xml b/sci-physics/thepeg/metadata.xml
new file mode 100644
index 0000000..ca863dd
--- /dev/null
+++ b/sci-physics/thepeg/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<maintainer>
+ <email>maintainer-wanted@gentoo.org</email>
+</maintainer>
+<longdescription>
+ Toolkit for High Energy Physics Event Generation.
+ ThePEG has been broken out from the PYTHIA7 program
+ to better factorize the parts which were PYTHIA-specific
+ from those which are general model-independent components
+ of the toolkit and which can be used by any event generator model.
+</longdescription>
+<use>
+ <flag name='hepmc'>Adds support for High Energy Physics Monte Carlo
+ Generators <pkg>sci-physics/hepmc</pkg></flag>
+ <flag name='lhapdf'>Adds support for <pkg>sci-physics/lhapdf</pkg></flag>
+</use>
+</pkgmetadata>
diff --git a/sci-physics/thepeg/thepeg-1.8.0.ebuild b/sci-physics/thepeg/thepeg-1.8.0.ebuild
new file mode 100644
index 0000000..1698260
--- /dev/null
+++ b/sci-physics/thepeg/thepeg-1.8.0.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit autotools elisp-common eutils java-pkg-opt-2
+
+MYP=ThePEG-${PV}
+
+DESCRIPTION="Toolkit for High Energy Physics Event Generation"
+HOMEPAGE="http://home.thep.lu.se/ThePEG/"
+SRC_URI="http://www.hepforge.org/archive/thepeg/${MYP}.tar.bz2
+ test? ( hepmc? (
+ http://www.hepforge.org/archive/lhapdf/pdfsets/current/cteq6ll.LHpdf
+ http://www.hepforge.org/archive/lhapdf/pdfsets/current/cteq5l.LHgrid
+ http://www.hepforge.org/archive/lhapdf/pdfsets/current/GRV98nlo.LHgrid
+ http://www.hepforge.org/archive/lhapdf/pdfsets/current/MRST2001nlo.LHgrid ) )"
+LICENSE="GPL-2"
+
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="emacs hepmc java lhapdf test zlib"
+
+DEPEND="sci-libs/gsl
+ dev-lang/perl
+ emacs? ( virtual/emacs )
+ hepmc? ( sci-physics/hepmc )
+ java? ( >=virtual/jre-1.5 )
+ lhapdf? ( sci-physics/lhapdf )
+ zlib? ( sys-libs/zlib )
+"
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND}
+ test? ( sys-process/time )"
+
+S="${WORKDIR}/${MYP}"
+
+pkg_setup() {
+ elog "There is an extra option on package Rivet not yet in Gentoo:"
+ elog "You can use the env variable EXTRA_ECONF variable for this:"
+ elog "EXTRA_ECONF=\"--with-rivet=DIR\""
+ elog "where DIR - location of Rivet installation"
+ java-pkg-opt-2_pkg_setup
+}
+
+src_prepare() {
+ find -name 'Makefile.am' -exec sed -i '1ipkgdatadir=$(datadir)/thepeg' {} \; \
+ || die "changing pkgdatadir name failed"
+ sed -i '/dist_pkgdata_DATA = ThePEG.el/d' lib/Makefile.am \
+ || die "preventing install ThePEG.el in pkgdatadir failed"
+ epatch "${FILESDIR}"/${P}-java.patch
+ eautoreconf
+
+ java-pkg-opt-2_src_prepare
+}
+
+src_configure() {
+ econf \
+ --disable-silent-rules \
+ $(use_with hepmc hepmc "${EPREFIX}"/usr) \
+ $(use_with java javagui) \
+ $(use_with lhapdf LHAPDF "${EPREFIX}"/usr) \
+ $(use_with zlib zlib "${EPREFIX}"/usr)
+}
+
+src_compile() {
+ emake
+ if use emacs; then
+ elisp-compile lib/ThePEG.el || die
+ fi
+}
+
+src_test() {
+ emake LHAPATH="${DISTDIR}" check
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ if use emacs; then
+ elisp-install ${PN} lib/ThePEG.el lib/ThePEG.elc || die
+ fi
+ use java && java-pkg_newjar java/ThePEG.jar
+}
+
+pkg_postinst() {
+ if use emacs; then
+ elog "To use installed elisp file you should add"
+ elog "(add-to-list 'load-path \"${SITELISP}/${PN}\")"
+ elog "(load \"ThePEG\")"
+ elog "to your .emacs file"
+ fi
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-physics/thepeg/files/, sci-physics/thepeg/
@ 2012-11-09 14:36 Justin Lecher
0 siblings, 0 replies; 4+ messages in thread
From: Justin Lecher @ 2012-11-09 14:36 UTC (permalink / raw
To: gentoo-commits
commit: 55698ff32b80338c82c8372cf2d245d4fce10757
Author: Jauhien Piatlicki (jauhien) <piatlicki <AT> gmail <DOT> com>
AuthorDate: Thu Nov 8 20:26:21 2012 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Nov 8 20:26:21 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=55698ff3
sci-physics/thepeg: version bump
---
sci-physics/thepeg/ChangeLog | 7 +++++++
...eg-1.8.0-java.patch => thepeg-1.8.1-java.patch} | 0
.../{thepeg-1.8.0.ebuild => thepeg-1.8.1.ebuild} | 0
3 files changed, 7 insertions(+), 0 deletions(-)
diff --git a/sci-physics/thepeg/ChangeLog b/sci-physics/thepeg/ChangeLog
index 35a5eb3..0d459b0 100644
--- a/sci-physics/thepeg/ChangeLog
+++ b/sci-physics/thepeg/ChangeLog
@@ -2,6 +2,13 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*thepeg-1.8.1 (08 Nov 2012)
+
+ 08 Nov 2012; Jauhien Piatlicki (jauhien) <piatlicki@gmail.com>
+ -thepeg-1.8.0.ebuild, -files/thepeg-1.8.0-java.patch, +thepeg-1.8.1.ebuild,
+ +files/thepeg-1.8.1-java.patch:
+ version bump
+
*thepeg-1.8.0 (07 Sep 2012)
07 Sep 2012; Jauhien Piatlicki (jauhien) <piatlicki@gmail.com>
diff --git a/sci-physics/thepeg/files/thepeg-1.8.0-java.patch b/sci-physics/thepeg/files/thepeg-1.8.1-java.patch
similarity index 100%
rename from sci-physics/thepeg/files/thepeg-1.8.0-java.patch
rename to sci-physics/thepeg/files/thepeg-1.8.1-java.patch
diff --git a/sci-physics/thepeg/thepeg-1.8.0.ebuild b/sci-physics/thepeg/thepeg-1.8.1.ebuild
similarity index 100%
rename from sci-physics/thepeg/thepeg-1.8.0.ebuild
rename to sci-physics/thepeg/thepeg-1.8.1.ebuild
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-physics/thepeg/files/, sci-physics/thepeg/
@ 2013-02-06 16:06 Justin Lecher
0 siblings, 0 replies; 4+ messages in thread
From: Justin Lecher @ 2013-02-06 16:06 UTC (permalink / raw
To: gentoo-commits
commit: 3521557af1e61a0c8ee8a86e51a956bd83174668
Author: Jauhien Piatlicki (jauhien) <piatlicki <AT> gmail <DOT> com>
AuthorDate: Mon Feb 4 22:40:41 2013 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Feb 4 22:40:41 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=3521557a
sci-physics/thepeg: version bump
---
sci-physics/thepeg/ChangeLog | 9 ++++++++-
...eg-1.8.1-java.patch => thepeg-1.8.2-java.patch} | 0
.../{thepeg-1.8.1.ebuild => thepeg-1.8.2.ebuild} | 2 +-
3 files changed, 9 insertions(+), 2 deletions(-)
diff --git a/sci-physics/thepeg/ChangeLog b/sci-physics/thepeg/ChangeLog
index 0d459b0..a1a49d2 100644
--- a/sci-physics/thepeg/ChangeLog
+++ b/sci-physics/thepeg/ChangeLog
@@ -1,7 +1,14 @@
# ChangeLog for sci-physics/thepeg
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*thepeg-1.8.2 (04 Feb 2013)
+
+ 04 Feb 2013; Jauhien Piatlicki (jauhien) <piatlicki@gmail.com>
+ -thepeg-1.8.1.ebuild, -files/thepeg-1.8.1-java.patch, +thepeg-1.8.2.ebuild,
+ +files/thepeg-1.8.2-java.patch:
+ version bump
+
*thepeg-1.8.1 (08 Nov 2012)
08 Nov 2012; Jauhien Piatlicki (jauhien) <piatlicki@gmail.com>
diff --git a/sci-physics/thepeg/files/thepeg-1.8.1-java.patch b/sci-physics/thepeg/files/thepeg-1.8.2-java.patch
similarity index 100%
rename from sci-physics/thepeg/files/thepeg-1.8.1-java.patch
rename to sci-physics/thepeg/files/thepeg-1.8.2-java.patch
diff --git a/sci-physics/thepeg/thepeg-1.8.1.ebuild b/sci-physics/thepeg/thepeg-1.8.2.ebuild
similarity index 98%
rename from sci-physics/thepeg/thepeg-1.8.1.ebuild
rename to sci-physics/thepeg/thepeg-1.8.2.ebuild
index abddbcd..321109e 100644
--- a/sci-physics/thepeg/thepeg-1.8.1.ebuild
+++ b/sci-physics/thepeg/thepeg-1.8.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-physics/thepeg/files/, sci-physics/thepeg/
@ 2013-03-12 20:31 Christoph Junghans
0 siblings, 0 replies; 4+ messages in thread
From: Christoph Junghans @ 2013-03-12 20:31 UTC (permalink / raw
To: gentoo-commits
commit: 4efb6012231eb845f489b3664def9facb9c6449b
Author: Jauhien Piatlicki (jauhien) <piatlicki <AT> gmail <DOT> com>
AuthorDate: Mon Mar 11 19:39:49 2013 +0000
Commit: Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Mon Mar 11 19:39:49 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=4efb6012
sci-physics/thepeg: version bump
---
sci-physics/thepeg/ChangeLog | 7 +++++++
...eg-1.8.2-java.patch => thepeg-1.8.3-java.patch} | 0
.../{thepeg-1.8.2.ebuild => thepeg-1.8.3.ebuild} | 2 +-
3 files changed, 8 insertions(+), 1 deletions(-)
diff --git a/sci-physics/thepeg/ChangeLog b/sci-physics/thepeg/ChangeLog
index a1a49d2..5eae5bc 100644
--- a/sci-physics/thepeg/ChangeLog
+++ b/sci-physics/thepeg/ChangeLog
@@ -2,6 +2,13 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*thepeg-1.8.3 (11 Mar 2013)
+
+ 11 Mar 2013; Jauhien Piatlicki (jauhien) <piatlicki@gmail.com>
+ -thepeg-1.8.2.ebuild, -files/thepeg-1.8.2-java.patch, +thepeg-1.8.3.ebuild,
+ +files/thepeg-1.8.3-java.patch:
+ version bump
+
*thepeg-1.8.2 (04 Feb 2013)
04 Feb 2013; Jauhien Piatlicki (jauhien) <piatlicki@gmail.com>
diff --git a/sci-physics/thepeg/files/thepeg-1.8.2-java.patch b/sci-physics/thepeg/files/thepeg-1.8.3-java.patch
similarity index 100%
rename from sci-physics/thepeg/files/thepeg-1.8.2-java.patch
rename to sci-physics/thepeg/files/thepeg-1.8.3-java.patch
diff --git a/sci-physics/thepeg/thepeg-1.8.2.ebuild b/sci-physics/thepeg/thepeg-1.8.3.ebuild
similarity index 99%
rename from sci-physics/thepeg/thepeg-1.8.2.ebuild
rename to sci-physics/thepeg/thepeg-1.8.3.ebuild
index 321109e..a3f9fde 100644
--- a/sci-physics/thepeg/thepeg-1.8.2.ebuild
+++ b/sci-physics/thepeg/thepeg-1.8.3.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=4
+EAPI=5
inherit autotools elisp-common eutils java-pkg-opt-2
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2013-03-12 20:31 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-09-10 8:16 [gentoo-commits] proj/sci:master commit in: sci-physics/thepeg/files/, sci-physics/thepeg/ Kacper Kowalik
-- strict thread matches above, loose matches on Subject: below --
2012-11-09 14:36 Justin Lecher
2013-02-06 16:06 Justin Lecher
2013-03-12 20:31 Christoph Junghans
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox